yast2-module nach apt update nicht mehr lauffähig

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Gesperrt
wolfgang-popp
Member
Member
Beiträge: 77
Registriert: 14. Nov 2004, 19:12
Wohnort: Südschwarzwald

yast2-module nach apt update nicht mehr lauffähig

Beitrag von wolfgang-popp » 17. Okt 2005, 20:24

hallo,

beim aufruf von yast2 modulen, z.b. softwareinstallation bzw. online-update kommt folgende fehlermedlung (im textmodus)

usr/lib/YAST2/bin/y2bast: error while loading shared libraries:
/usr/lib/liby2pm.so.2: undefined symbol _ZN6VendorC1ERKSs

ich weis, daß es mit einem umfangreichen update via apt zusammenhängt. das verantwortliche paket kriege ich aber nicht zu fassen.

gruß

wolfgang
Zuletzt geändert von wolfgang-popp am 18. Okt 2005, 12:46, insgesamt 1-mal geändert.

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 17. Okt 2005, 20:27

in /var/log/apt.log stehen alle Änderungen die du via apt durchgeführt hast, vielleicht hilft dir das den Übeltäter zu finden ...
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8724
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 17. Okt 2005, 23:51

..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

wolfgang-popp
Member
Member
Beiträge: 77
Registriert: 14. Nov 2004, 19:12
Wohnort: Südschwarzwald

antwort

Beitrag von wolfgang-popp » 20. Okt 2005, 17:40

hallo und danke,

in der log-datei stehen seltsamerweise upgrades vom 11. september (?!), obwohl viele neuere im oktober stattfanden.

laut dem link soll ich neueste versionen von yast2-online-update sowie dem yast-paketmanager und und liby2util installieren.

laut apt bin ich auf dem neuesten stand, jedenfalls neuer, als rpmseek für 9.1 anbietet.

vielleicht auf 9.2 bzw. 9.3 ... updaten?
falls ja, wo kann ich online von 9.1 auf 9.2 ... updaten? ohne yast, denn das bekomme ich ja nicht zum laufen, möglichst mit apt.

gruß
wolfgang

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Re: antwort

Beitrag von oc2pus » 20. Okt 2005, 17:42

wp hat geschrieben:falls ja, wo kann ich online von 9.1 auf 9.2 ... updaten? ohne yast, denn das bekomme ich ja nicht zum laufen, möglichst mit apt.
räusper .... schon vom apt-Forum gehört ?

[HOWTO] Upgrade einer SuSE Version 9.1 auf 9.2 mit apt
http://www.linux-club.de/viewtopic.php?t=23601

[HOWTO] Upgrade einer SuSE Version 9.0 auf 9.1 mit apt
http://www.linux-club.de/viewtopic.php?t=13107
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 20. Okt 2005, 17:44

Das würde ich per apt machen. Grundsätzliches Vorgehen dafür findest du im Forum 'apt'.
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

Gesperrt

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast